> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a dedicated account

> Create dedicated account



## OpenAPI

````yaml POST /v1/dedicated_accounts
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/dedicated_accounts:
    post:
      tags:
        - dedicated_accounts
      description: Create dedicated account
      parameters:
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    callbackUrl:
                      type: string
                      format: uri
                    currency:
                      type: string
                      enum:
                        - NGN
                        - USD
                    accountType:
                      type: string
                      enum:
                        - individual
                    accountName:
                      type: string
                    email:
                      type: string
                      format: email
                    preferredBank:
                      type: string
                      enum:
                        - safehaven_mfb
                        - fidelity
                        - gtbank
                    kycProfile:
                      type: object
                      properties:
                        firstName:
                          type: string
                        lastName:
                          type: string
                        otherName:
                          type: string
                        gender:
                          type: string
                          enum:
                            - male
                            - female
                        countryOfOrigin:
                          type: string
                          enum:
                            - AF
                            - AX
                            - AL
                            - DZ
                            - AS
                            - AD
                            - AO
                            - AI
                            - AQ
                            - AG
                            - AR
                            - AM
                            - AW
                            - AU
                            - AT
                            - AZ
                            - BS
                            - BH
                            - BD
                            - BB
                            - BY
                            - BE
                            - BZ
                            - BJ
                            - BM
                            - BT
                            - BO
                            - BA
                            - BW
                            - BV
                            - BR
                            - IO
                            - BN
                            - BG
                            - BF
                            - BI
                            - KH
                            - CM
                            - CA
                            - CV
                            - KY
                            - CF
                            - TD
                            - CL
                            - CN
                            - CX
                            - CC
                            - CO
                            - KM
                            - CG
                            - CD
                            - CK
                            - CR
                            - CI
                            - HR
                            - CU
                            - CY
                            - CZ
                            - DK
                            - DJ
                            - DM
                            - DO
                            - EC
                            - EG
                            - SV
                            - GQ
                            - ER
                            - EE
                            - ET
                            - FK
                            - FO
                            - FJ
                            - FI
                            - FR
                            - GF
                            - PF
                            - TF
                            - GA
                            - GM
                            - GE
                            - DE
                            - GH
                            - GI
                            - GR
                            - GL
                            - GD
                            - GP
                            - GU
                            - GT
                            - GG
                            - GN
                            - GW
                            - GY
                            - HT
                            - HM
                            - VA
                            - HN
                            - HK
                            - HU
                            - IS
                            - IN
                            - ID
                            - IR
                            - IQ
                            - IE
                            - IM
                            - IL
                            - IT
                            - JM
                            - JP
                            - JE
                            - JO
                            - KZ
                            - KE
                            - KI
                            - KR
                            - KW
                            - KG
                            - LA
                            - LV
                            - LB
                            - LS
                            - LR
                            - LY
                            - LI
                            - LT
                            - LU
                            - MO
                            - MK
                            - MG
                            - MW
                            - MY
                            - MV
                            - ML
                            - MT
                            - MH
                            - MQ
                            - MR
                            - MU
                            - YT
                            - MX
                            - FM
                            - MD
                            - MC
                            - MN
                            - ME
                            - MS
                            - MA
                            - MZ
                            - MM
                            - NA
                            - NR
                            - NP
                            - NL
                            - AN
                            - NC
                            - NZ
                            - NI
                            - NE
                            - NG
                            - NU
                            - NF
                            - MP
                            - 'NO'
                            - OM
                            - PK
                            - PW
                            - PS
                            - PA
                            - PG
                            - PY
                            - PE
                            - PH
                            - PN
                            - PL
                            - PT
                            - PR
                            - QA
                            - RE
                            - RO
                            - RU
                            - RW
                            - BL
                            - SH
                            - KN
                            - LC
                            - MF
                            - PM
                            - VC
                            - WS
                            - SM
                            - ST
                            - SA
                            - SN
                            - RS
                            - SC
                            - SL
                            - SG
                            - SK
                            - SI
                            - SB
                            - SO
                            - ZA
                            - GS
                            - ES
                            - LK
                            - SD
                            - SR
                            - SJ
                            - SZ
                            - SE
                            - CH
                            - SY
                            - TW
                            - TJ
                            - TZ
                            - TH
                            - TL
                            - TG
                            - TK
                            - TO
                            - TT
                            - TN
                            - TR
                            - TM
                            - TC
                            - TV
                            - UG
                            - UA
                            - AE
                            - GB
                            - US
                            - UM
                            - UY
                            - UZ
                            - VU
                            - VE
                            - VN
                            - VG
                            - VI
                            - WF
                            - EH
                            - YE
                            - ZM
                            - ZW
                        phoneNumber:
                          type: string
                          pattern: ^[\d\s\-\(\)\+]{7,20}$
                        dateOfBirth:
                          type: string
                          format: date
                        bankAccountNumber:
                          type: string
                        bankId:
                          type: string
                        identities:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - bvn
                                  - nin
                                  - v_nin
                              number:
                                type: string
                            required:
                              - type
                              - number
                          minItems: 1
                          maxItems: 2
                      required:
                        - firstName
                        - lastName
                        - countryOfOrigin
                        - phoneNumber
                        - dateOfBirth
                        - identities
                  required:
                    - callbackUrl
                    - currency
                    - accountType
                    - accountName
                    - email
                    - kycProfile
                  title: Individual Account
                  description: Payload to create an individual account
                - type: object
                  properties:
                    callbackUrl:
                      type: string
                      format: uri
                    currency:
                      type: string
                      enum:
                        - NGN
                        - USD
                    accountType:
                      type: string
                      enum:
                        - business
                    accountName:
                      type: string
                    email:
                      type: string
                      format: email
                    preferredBank:
                      type: string
                      enum:
                        - safehaven_mfb
                        - fidelity
                        - gtbank
                    kybProfile:
                      type: object
                      properties:
                        firstName:
                          type: string
                        lastName:
                          type: string
                        otherName:
                          type: string
                        gender:
                          type: string
                          enum:
                            - male
                            - female
                        countryOfOrigin:
                          type: string
                          enum:
                            - AF
                            - AX
                            - AL
                            - DZ
                            - AS
                            - AD
                            - AO
                            - AI
                            - AQ
                            - AG
                            - AR
                            - AM
                            - AW
                            - AU
                            - AT
                            - AZ
                            - BS
                            - BH
                            - BD
                            - BB
                            - BY
                            - BE
                            - BZ
                            - BJ
                            - BM
                            - BT
                            - BO
                            - BA
                            - BW
                            - BV
                            - BR
                            - IO
                            - BN
                            - BG
                            - BF
                            - BI
                            - KH
                            - CM
                            - CA
                            - CV
                            - KY
                            - CF
                            - TD
                            - CL
                            - CN
                            - CX
                            - CC
                            - CO
                            - KM
                            - CG
                            - CD
                            - CK
                            - CR
                            - CI
                            - HR
                            - CU
                            - CY
                            - CZ
                            - DK
                            - DJ
                            - DM
                            - DO
                            - EC
                            - EG
                            - SV
                            - GQ
                            - ER
                            - EE
                            - ET
                            - FK
                            - FO
                            - FJ
                            - FI
                            - FR
                            - GF
                            - PF
                            - TF
                            - GA
                            - GM
                            - GE
                            - DE
                            - GH
                            - GI
                            - GR
                            - GL
                            - GD
                            - GP
                            - GU
                            - GT
                            - GG
                            - GN
                            - GW
                            - GY
                            - HT
                            - HM
                            - VA
                            - HN
                            - HK
                            - HU
                            - IS
                            - IN
                            - ID
                            - IR
                            - IQ
                            - IE
                            - IM
                            - IL
                            - IT
                            - JM
                            - JP
                            - JE
                            - JO
                            - KZ
                            - KE
                            - KI
                            - KR
                            - KW
                            - KG
                            - LA
                            - LV
                            - LB
                            - LS
                            - LR
                            - LY
                            - LI
                            - LT
                            - LU
                            - MO
                            - MK
                            - MG
                            - MW
                            - MY
                            - MV
                            - ML
                            - MT
                            - MH
                            - MQ
                            - MR
                            - MU
                            - YT
                            - MX
                            - FM
                            - MD
                            - MC
                            - MN
                            - ME
                            - MS
                            - MA
                            - MZ
                            - MM
                            - NA
                            - NR
                            - NP
                            - NL
                            - AN
                            - NC
                            - NZ
                            - NI
                            - NE
                            - NG
                            - NU
                            - NF
                            - MP
                            - 'NO'
                            - OM
                            - PK
                            - PW
                            - PS
                            - PA
                            - PG
                            - PY
                            - PE
                            - PH
                            - PN
                            - PL
                            - PT
                            - PR
                            - QA
                            - RE
                            - RO
                            - RU
                            - RW
                            - BL
                            - SH
                            - KN
                            - LC
                            - MF
                            - PM
                            - VC
                            - WS
                            - SM
                            - ST
                            - SA
                            - SN
                            - RS
                            - SC
                            - SL
                            - SG
                            - SK
                            - SI
                            - SB
                            - SO
                            - ZA
                            - GS
                            - ES
                            - LK
                            - SD
                            - SR
                            - SJ
                            - SZ
                            - SE
                            - CH
                            - SY
                            - TW
                            - TJ
                            - TZ
                            - TH
                            - TL
                            - TG
                            - TK
                            - TO
                            - TT
                            - TN
                            - TR
                            - TM
                            - TC
                            - TV
                            - UG
                            - UA
                            - AE
                            - GB
                            - US
                            - UM
                            - UY
                            - UZ
                            - VU
                            - VE
                            - VN
                            - VG
                            - VI
                            - WF
                            - EH
                            - YE
                            - ZM
                            - ZW
                        countryOfIncorporation:
                          type: string
                          enum:
                            - AF
                            - AX
                            - AL
                            - DZ
                            - AS
                            - AD
                            - AO
                            - AI
                            - AQ
                            - AG
                            - AR
                            - AM
                            - AW
                            - AU
                            - AT
                            - AZ
                            - BS
                            - BH
                            - BD
                            - BB
                            - BY
                            - BE
                            - BZ
                            - BJ
                            - BM
                            - BT
                            - BO
                            - BA
                            - BW
                            - BV
                            - BR
                            - IO
                            - BN
                            - BG
                            - BF
                            - BI
                            - KH
                            - CM
                            - CA
                            - CV
                            - KY
                            - CF
                            - TD
                            - CL
                            - CN
                            - CX
                            - CC
                            - CO
                            - KM
                            - CG
                            - CD
                            - CK
                            - CR
                            - CI
                            - HR
                            - CU
                            - CY
                            - CZ
                            - DK
                            - DJ
                            - DM
                            - DO
                            - EC
                            - EG
                            - SV
                            - GQ
                            - ER
                            - EE
                            - ET
                            - FK
                            - FO
                            - FJ
                            - FI
                            - FR
                            - GF
                            - PF
                            - TF
                            - GA
                            - GM
                            - GE
                            - DE
                            - GH
                            - GI
                            - GR
                            - GL
                            - GD
                            - GP
                            - GU
                            - GT
                            - GG
                            - GN
                            - GW
                            - GY
                            - HT
                            - HM
                            - VA
                            - HN
                            - HK
                            - HU
                            - IS
                            - IN
                            - ID
                            - IR
                            - IQ
                            - IE
                            - IM
                            - IL
                            - IT
                            - JM
                            - JP
                            - JE
                            - JO
                            - KZ
                            - KE
                            - KI
                            - KR
                            - KW
                            - KG
                            - LA
                            - LV
                            - LB
                            - LS
                            - LR
                            - LY
                            - LI
                            - LT
                            - LU
                            - MO
                            - MK
                            - MG
                            - MW
                            - MY
                            - MV
                            - ML
                            - MT
                            - MH
                            - MQ
                            - MR
                            - MU
                            - YT
                            - MX
                            - FM
                            - MD
                            - MC
                            - MN
                            - ME
                            - MS
                            - MA
                            - MZ
                            - MM
                            - NA
                            - NR
                            - NP
                            - NL
                            - AN
                            - NC
                            - NZ
                            - NI
                            - NE
                            - NG
                            - NU
                            - NF
                            - MP
                            - 'NO'
                            - OM
                            - PK
                            - PW
                            - PS
                            - PA
                            - PG
                            - PY
                            - PE
                            - PH
                            - PN
                            - PL
                            - PT
                            - PR
                            - QA
                            - RE
                            - RO
                            - RU
                            - RW
                            - BL
                            - SH
                            - KN
                            - LC
                            - MF
                            - PM
                            - VC
                            - WS
                            - SM
                            - ST
                            - SA
                            - SN
                            - RS
                            - SC
                            - SL
                            - SG
                            - SK
                            - SI
                            - SB
                            - SO
                            - ZA
                            - GS
                            - ES
                            - LK
                            - SD
                            - SR
                            - SJ
                            - SZ
                            - SE
                            - CH
                            - SY
                            - TW
                            - TJ
                            - TZ
                            - TH
                            - TL
                            - TG
                            - TK
                            - TO
                            - TT
                            - TN
                            - TR
                            - TM
                            - TC
                            - TV
                            - UG
                            - UA
                            - AE
                            - GB
                            - US
                            - UM
                            - UY
                            - UZ
                            - VU
                            - VE
                            - VN
                            - VG
                            - VI
                            - WF
                            - EH
                            - YE
                            - ZM
                            - ZW
                        businessRegistrationNumber:
                          type: string
                        businessName:
                          type: string
                        phoneNumber:
                          type: string
                          pattern: ^[\d\s\-\(\)\+]{7,20}$
                        dateOfBirth:
                          type: string
                          format: date
                        bankAccountNumber:
                          type: string
                        bankId:
                          type: string
                        identities:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - bvn
                                  - nin
                                  - v_nin
                              number:
                                type: string
                            required:
                              - type
                              - number
                          minItems: 1
                          maxItems: 2
                      required:
                        - firstName
                        - lastName
                        - countryOfOrigin
                        - countryOfIncorporation
                        - businessRegistrationNumber
                        - businessName
                        - phoneNumber
                        - dateOfBirth
                        - identities
                  required:
                    - callbackUrl
                    - currency
                    - accountType
                    - accountName
                    - email
                    - kybProfile
                  title: Business Account
                  description: Payload to create a business account
      responses:
        '202':
          description: Account creation request accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - awaiting_customer_consent
                      - pending_identity_verification
                      - created
                  accountRequestCode:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - accountRequestCode
                  - message
        '400':
          description: >-
            The request was unacceptable, often due to missing a required
            parameter.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      code:
                        type: string
                      message:
                        type: string
                      params:
                        type: array
                        items:
                          type: string
                    required:
                      - type
                      - code
                      - message
                required:
                  - error

````